#
# build options:
# --with mandriva   (for Mandrake/Mandriva)
# --with suse       (for SuSE)
# --with newpam     (for pam > 0.90 or so)
#

# Uncomment the following line for beta release versions
# (i.e. change hash symbol to percent symbol and specify beta version)
#define beta rc1

%define private_suffix 4-pcntl
%define private_php_dir %{_libdir}/php%{private_suffix}
%define datadirrel %(echo %{_datadir} | %{__sed} -e 's,^/,,')
%define desktop_vendor PPTP
%{!?__id_u: %define __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:        Point-to-Point Tunneling Protocol (PPTP) Client Configuration GUI
Name:           pptpconfig
Version:        20060821
Release:        %{?beta:0.%{beta}.}2%{?dist}
Distribution:   PPTP Client Project
URL:            http://quozl.netrek.org/pptp/pptpconfig/
Source0:        http://quozl.netrek.org/pptp/pptpconfig/pptpconfig-%{version}.tar.gz
Source1:        pptpconfig.png
Source2:        pptpconfig.pam
Patch0:		pptpconfig-cvs-20090915.patch
Patch1:         pptpconfig-desktop.patch
Patch2:         pptpconfig-desktop-suse.patch
License:        GPL
%if %{?_with_suse:0}%{!?_with_suse:1}
Group:          Applications/Internet
Requires:       usermode >= 1.36
%else
Group:          Productivity/Networking/PPP
Requires:       xsu
%endif
Requires:       ppp >= 2.4.2, pptp >= 1.2.0, php%{private_suffix}-gtk, php%{private_suffix} >= 4.3.9-2
Requires:       iproute%{?_with_mandriva:2}
BuildRequires:  desktop-file-utils, symlinks
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:      pptp-php-gtk
Provides:       pptp-php-gtk
BuildArch:      noarch

%description
Graphical user interface for PPTP Client. Supports configuration of tunnels,
starting, stopping, catching debug output from pppd, DNS and routing changes.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%if %{?_with_suse:1}%{!?_with_suse:0}
%patch2 -p0
%endif
%{__sed} -i -e 's@/usr/lib/php-pcntl/bin/php@/bin/php%{private_suffix}@' \
            -e 's@usr/lib/@%{datadirrel}/@' pptpconfig.php Makefile
%{__sed} -i -e 's#@sbindir@#%{_sbindir}#' -e 's#@datadir@#%{_datadir}#' pptpconfig.desktop
%{__cp} -p %{SOURCE1} .
%if %{?_with_newpam:1}%{!?_with_newpam:0}
%{__rm} -f pptpconfig.pam
%{__cp} -p %{SOURCE2} .
%endif

%install
# Some directory names hardcoded here because they are hardcoded in the PHP script
%{__rm} -rf %{buildroot}
%{__make} bindir=%{_bindir} \
        sbindir=%{_sbindir} \
        sysconfdir=/etc \
        datadir=%{_datadir} \
        DESTDIR=%{buildroot} \
        INSTALL="%{__install} -p" \
        install%{!?_with_suse: install-pam}
%{__install} -D -m 0444 -p pptpconfig.png %{buildroot}/%{_datadir}/pixmaps/pptpconfig.png
/usr/bin/desktop-file-install \
                --vendor %{desktop_vendor} \
                --delete-original \
                --dir %{buildroot}%{_datadir}/applications \
                %{buildroot}%{_datadir}/applications/pptpconfig.desktop
# Fix absolute symlink
%{__rm} -f %{buildroot}%{_sbindir}/pptpconfig
cd %{buildroot}%{_sbindir}
%{__ln_s} %{buildroot}%{_bindir}/pptpconfig.php pptpconfig
/usr/bin/symlinks -cs .
cd -

%clean
%{__rm} -rf %{buildroot}

%post
# Attempt to migrate tunnels from old pptp-php-gtk package
if [ ! -f /etc/pptpconfig/tunnels -a -f /etc/pptp-php-gtk/tunnels ]; then
        %{__cp} -p /etc/pptp-php-gtk/tunnels /etc/pptpconfig/tunnels
fi
/usr/bin/update-desktop-database %{_datadir}/applications &>/dev/null || :

%postun
/usr/bin/update-desktop-database %{_datadir}/applications &>/dev/null || :

%files
%defattr(-,root,root)
%dir /etc/pptpconfig/
%{_bindir}/pptpconfig.php
%{_sbindir}/pptpconfig
%if %{!?_with_suse:1}%{?_with_suse:0}
%{_bindir}/pptpconfig
%config(noreplace) /etc/pam.d/pptpconfig
%config(noreplace) /etc/security/console.apps/pptpconfig
%endif
%{_datadir}/applications/%{desktop_vendor}-pptpconfig.desktop
%{_datadir}/pixmaps/pptpconfig.png
%{_datadir}/pptpconfig/
%doc AUTHORS COPYING DEVELOPERS NEWS README TODO ChangeLog

%changelog
* Tue Sep 15 2009 Paul Howarth <paul@city-fan.org> 20060821-2
- update from CVS to address some bugs:
  - fix invalid route command on CLI interface
  - fix byte counter overflow at 10,000,000 [#1758592]
  - use explicit path in desktop
  - CLI patches [#1662620]

* Mon Aug 21 2006 Paul Howarth <paul@city-fan.org> 20060821-1
- update to 20060821

* Thu Apr 13 2006 Paul Howarth <paul@city-fan.org> 20060410-1
- update to 20060410
- use php4-pcntl instead of php-pcntl (virtual provides issue)
- define %%__id_u macro in a more portable way
- use relative symlinks instead of absolute ones
- put xml/xpm files under %%{_datadir} instead of /usr/lib
- get rid of ver, rel, rpmrel, suse_version, and mandriva_version macros
- add build options:
  --with mandriva   (for Mandrake/Mandriva)
  --with suse       (for SuSE)
  --with newpam     (for pam > 0.90 or so)
- add %%{?dist} tag for distribution identification
- add "provides: pptp-php-gtk" to go with the obsoletes
- try to preserve file timestamps

* Tue Mar 14 2006 Paul Howarth <paul@city-fan.org> 20060222-1
- update to 20060222

* Mon Feb 13 2006 Paul Howarth <paul@city-fan.org> 20060214-1
- update to 20060214
- don't attempt to auto-detect Mandriva
- cosmetic tweak: use macros instead of variables
- remove buildroot unconditionally in %%clean and %%install
- don't use macros in build-time command paths, hardcode them instead

* Mon Apr 11 2005 Paul Howarth <paul@city-fan.org> 20040722-7
- further tweaks to desktop entries to try to get SuSE working

* Tue Feb 22 2005 Paul Howarth <paul@city-fan.org> 20040722-6
- tweak detection of Mandrake build system

* Tue Nov 16 2004 Paul Howarth <paul@city-fan.org> 20040722-5
- tweak desktop entry and add icon

* Thu Sep 30 2004 Paul Howarth <paul@city-fan.org> 20040722-4
- use php from /bin/php-pcntl instead of architecure-specific
  library directory
- this requires php-pcntl >= 4.3.9-2, the first version with the
  required symlink in place

* Thu Sep  9 2004 Paul Howarth <paul@city-fan.org> 20040722-3
- don't include usermode functions in SuSE versions
- group is Productivity/Networking/PPP in SuSE versions
- require pptp rather than pptp-linux

* Mon Aug  9 2004 Paul Howarth <paul@city-fan.org> 20040722-2
- require iproute2 instead of iproute for Mandrake versions

* Thu Jul 15 2004 Paul Howarth <paul@city-fan.org> 20040722-1
- update to new version 20040722 (a week early?)

* Thu Jul 15 2004 Paul Howarth <paul@city-fan.org> 20040619-2
- hardcode paths for /etc instead of using %%{_sysconfdir}, just like
  Red Hat do, as this actually helps portability
- make /etc/pam.d/pptpconfig & /etc/security/console.apps/pptpconfig
  %%config files, so that users keep their changes on upgrade
- use desktop-file-install for the desktop entry
- remove BuildRequires: perl, no longer needed

* Wed Jul 14 2004 Paul Howarth <paul@city-fan.org> 20040619-1
- update to new upstream pptpconfig package, remove all patches handling
  name change

* Fri Jun 18 2004 James Cameron <james.cameron@hp.com>
- use upstream pptpconfig package

* Thu Jun 17 2004 Paul Howarth <paul@city-fan.org> 20040619-0.rc1.2
- move pptpconfig.pam & pptpconfig.app creation from spec file to patch
- move renaming and editing of files for pptp-php-gtk -> pptpconfig name
  change from install to prep phase
- try to migrate existing tunnel definitions from the old pptp-php-gtk package
- patch Makefile to make it properly usable in the RPM build
- patch Makefile to add install-pam target
- use Makefile for install process

* Tue Jun 15 2004 Paul Howarth <paul@city-fan.org>
- Initial RPM build.
